# ironicclient.shell module

class ironicclient.shell.App

  Bases: `App`

  build_option_parser(description, version, argparse_kwargs=None)

    Return an argparse option parser for this application.

    Subclasses may override this method to extend the parser with more global options.

    Parameters:

      - description (str) – full description of the application

      - version (str) – version number for the application

      - argparse_kwargs – extra keyword argument passed to the ArgumentParser constructor

  initialize_app(argv)

    Hook for subclasses to take global initialization action after the arguments are parsed but before a command is run. Invoked only once, even in interactive mode.

    Parameters:

      argv – List of arguments, including the subcommand to run. Empty for interactive mode.

class ironicclient.shell.ClientManager(cloud_region, options)

  Bases: `object`

  property baremetal

class ironicclient.shell.CommandManager(namespace: str | None = None, convert_underscores: bool = True, *, ignored_modules: Iterable[str] | None = None)

  Bases: `CommandManager`

  load_commands(namespace)

    Load all the commands from an entrypoint

    Parameters:

      namespace – The namespace to load commands from.

    Returns:

      None

ironicclient.shell.main(argv=['-b', 'html', 'doc/source', 'debian/python-ironicclient-doc/usr/share/doc/python-ironicclient-doc/html'])

this page last updated: 2026-03-26 21:20:19

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug